gwcheck

Check .gnu.warning.* sections in ELF object files
Log | Files | Refs | README | LICENSE

commit 63c166db9999cb1d476ac71ec035e5cf9db679a9
parent eb63bbc109170695078c65b44c1253690e6cc63f
Author: Frederic Cambus <fred@statdns.com>
Date:   Sat,  6 Nov 2021 15:44:26 +0100

Add output for glibc 2.34 in the examples directory.

Diffstat:
Mexamples/README | 2++
Aexamples/glibc.txt | 54++++++++++++++++++++++++++++++++++++++++++++++++++++++
2 files changed, 56 insertions(+), 0 deletions(-)

diff --git a/examples/README b/examples/README @@ -4,3 +4,5 @@ The examples contained in this directory have been generated using: - FreeBSD 13.0 - NetBSD 9.2 - OpenBSD 7.0 + +- glibc 2.34 diff --git a/examples/glibc.txt b/examples/glibc.txt @@ -0,0 +1,54 @@ +.gnu.warning.sigstack: + the `sigstack' function is dangerous. `sigaltstack' should be used instead. +.gnu.warning.sigreturn: + sigreturn is not implemented and will always fail +.gnu.warning.siggetmask: + warning: `siggetmask' is obsolete; `sigprocmask' is best +.gnu.warning.tmpnam: + the use of `tmpnam' is dangerous, better use `mkstemp' +.gnu.warning.tmpnam_r: + the use of `tmpnam_r' is dangerous, better use `mkstemp' +.gnu.warning.tempnam: + the use of `tempnam' is dangerous, better use `mkstemp' +.gnu.warning.gets: + the `gets' function is dangerous and should not be used. +.gnu.warning.pthread_attr_getstackaddr: + the use of `pthread_attr_getstackaddr' is deprecated, use `pthread_attr_getstack' +.gnu.warning.pthread_attr_setstackaddr: + the use of `pthread_attr_setstackaddr' is deprecated, use `pthread_attr_setstack' +.gnu.warning.getpw: + the `getpw' function is dangerous and should not be used. +.gnu.warning.re_max_failures: + the 're_max_failures' variable is obsolete and will go away. +.gnu.warning.getwd: + the `getwd' function is dangerous and should not be used. +.gnu.warning.revoke: + revoke is not implemented and will always fail +.gnu.warning.mktemp: + the use of `mktemp' is dangerous, better use `mkstemp' or `mkdtemp' +.gnu.warning.gtty: + gtty is not implemented and will always fail +.gnu.warning.stty: + stty is not implemented and will always fail +.gnu.warning.chflags: + chflags is not implemented and will always fail +.gnu.warning.fchflags: + fchflags is not implemented and will always fail +.gnu.warning.__compat_bdflush: + __compat_bdflush is not implemented and will always fail +.gnu.warning.__gets_chk: + the `gets' function is dangerous and should not be used. +.gnu.warning.inet6_option_space: + inet6_option_space is obsolete, use the RFC 3542 interfaces +.gnu.warning.inet6_option_init: + inet6_option_init is obsolete, use the RFC 3542 interfaces +.gnu.warning.inet6_option_append: + inet6_option_append is obsolete, use the RFC 3542 interfaces +.gnu.warning.inet6_option_alloc: + inet6_option_alloc is obsolete, use the RFC 3542 interfaces +.gnu.warning.inet6_option_next: + inet6_option_next is obsolete, use the RFC 3542 interfaces +.gnu.warning.inet6_option_find: + inet6_option_find is obsolete, use the RFC 3542 interfaces +.gnu.warning.setlogin: + setlogin is not implemented and will always fail